/*************************************************
**Authors: Kevin Cartrette, Alex Lemke			**
**Co-Author: Tom Carbone						**
**Date:	11/30/2011								**
**Version:	1.0									**
**Summary: Shape drawing helper functions.		**
*************************************************/

#include "Vector3.h"

#ifndef SHAPEDRAW_H
#define SHAPEDRAW_H
//Function prototypes.
void DrawCircle(float_t radius, float_t x, float_t y, char8_t r, char8_t g, char8_t b, bool filled);
void DrawLine(float_t startX, float_t startY, float_t endX, float_t endY, char8_t r, char8_t g, char8_t b);
void DrawCircle(float_t radius, float_t x, float_t y, float_t r, float_t g, float_t b, bool filled);
void DrawLine(float_t startX, float_t startY, float_t endX, float_t endY, float_t r, float_t g, float_t b);
void DrawCircle(float_t radius, float_t x, float_t y, Vector3C* color, bool filled);
void DrawLine(float_t startX, float_t startY, float_t endX, float_t endY, Vector3C* color);

#endif