/*************************************************
**Authors: Kevin Cartrette, Alex Lemke			**
**Co-Author: Tom Carbone						**
**Date:	11/30/2011								**
**Version:	1.0									**
**Summary:  Enemy class with modifed render and **
**update to branch from standard enemy behavior.**
*************************************************/

#ifndef DARTENEMY_H
#define DARTENEMY_H

#include "baseTypes.h"
#include "enemy.h"

/*************************************************
**Summary: Enemy which darts across screen.    	**
**Authors: Kevin Cartrette, Alex Lemke			**
*************************************************/
class DartEnemyC : public EnemyC
{
public:
	//Function prototypes.
	virtual void update(double64_t milliseconds);
	virtual void init(float_t initPosX, float_t initPosY, float_t initVelX, float_t initVelY, int32_t id);
	virtual void render();
	int32_t randomDirection();
	void setDirection(int32_t newDirection);
	int32_t getDirection();
private:
};
#endif