/*************************************************
**Authors: Kevin Cartrette, Alex Lemke			**
**Co-Author: Tom Carbone						**
**Date:	11/30/2011								**
**Version:	1.0									**
**Summary:  Enemy class with modifed render and **
**update to branch from standard enemy behavior.**
*************************************************/

#ifndef DODGERENEMY_H
#define DODGERENEMY_H

#include "enemy.h"
#include "baseTypes.h"

/*************************************************
**Summary: Enemy which attempts to dodge players**
**bullets and land a hit.						**
**Authors: Kevin Cartrette, Alex Lemke			**
*************************************************/
class DodgerEnemyC : public EnemyC
{
public:
	//Function prototypes.
	virtual void update(double64_t milliseconds);
	virtual void init(float_t initPosX, float_t initPosY, float_t initVelX, float_t initVelY, int32_t id);
	virtual void render();
private:
};
#endif