/*************************************************
**Authors: Alex Lemke, Kevin Cartrette			**
**Co-Author: Tom Carbone						**
**Date:	11/30/2011								**
**Version:	1.0									**
**Summary: A texture class.  Used by the sprite **
**		   class.	            				**
*************************************************/

#include <windows.h>										
#include <stdio.h>												
#include <stdarg.h>												
#include <math.h>										
#include "gl\gl.h"												
#include "gl\glu.h"												
#include "gl\glut.h"
#include "baseTypes.h"
#include "Texture.h"

void TextureC::setUpTexture(GLuint newMSpriteTextureMap, int32_t newWidth, int32_t newHeight)
{
	mSpriteTextureMap = newMSpriteTextureMap;
	width = newWidth;
	height = newHeight;
}

GLuint TextureC::returnTexture()
{
	return(mSpriteTextureMap);
}
int TextureC::returnWidth()
{
	return(width);
}
int TextureC::returnHeight()
{
	return(height);
}