/*************************************************
**Authors: Alex Lemke, Kevin Cartrette			**
**Co-Author: Tom Carbone						**
**Date:	11/30/2011								**
**Version:	1.0									**
**Summary: A texture class.  Used by the sprite **
**		   class.	            				**
*************************************************/

#ifndef TEXTURE_H
#define TEXTURE_H

#include "gl\gl.h"												
#include "gl\glu.h"												
#include "gl\glut.h"
#include "baseTypes.h"

class TextureC
{
public:
	//Sets
	void setUpTexture(GLuint newMSpriteTextureMap, int32_t newWidth, int32_t newHeight);

	GLuint returnTexture();
	int32_t returnWidth();
	int32_t returnHeight();
private:
	//Texture Map
	GLuint mSpriteTextureMap;

	//Scale
	int32_t width;
	int32_t height;
};
#endif